"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.primeTriStateCheckboxDefinition = exports.primeTreeSelectDefinition = exports.primeToggleButtonDefinition = exports.primeTextareaDefinition = exports.primeSliderDefinition = exports.primeSelectButtonDefinition = exports.primeRatingDefinition = exports.primeRadioButtonDefinition = exports.primePasswordDefinition = exports.primeMultiSelectDefinition = exports.primeListboxDefinition = exports.primeKnobDefinition = exports.primeInputs = exports.primeInputTextDefinition = exports.primeInputSwitchDefinition = exports.primeInputNumberDefinition = exports.primeInputMaskDefinition = exports.primeEditorDefinition = exports.primeDropdownDefinition = exports.primeColorPickerDefinition = exports.primeChipsDefinition = exports.primeCheckboxDefinition = exports.primeCascadeSelectDefinition = exports.primeCalendarDefinition = exports.primeAutoCompleteDefinition = exports.default = void 0;
Object.defineProperty(exports, "useFormKitSchema", {
  enumerable: true,
  get: function () {
    return _composables.useFormKitSchema;
  }
});
var _vue = require("@formkit/vue");
var _PrimeAutoComplete = _interopRequireDefault(require("./components/PrimeAutoComplete.vue"));
var _PrimeCalendar = _interopRequireDefault(require("./components/PrimeCalendar.vue"));
var _PrimeCascadeSelect = _interopRequireDefault(require("./components/PrimeCascadeSelect.vue"));
var _PrimeCheckbox = _interopRequireDefault(require("./components/PrimeCheckbox.vue"));
var _PrimeChips = _interopRequireDefault(require("./components/PrimeChips.vue"));
var _PrimeColorPicker = _interopRequireDefault(require("./components/PrimeColorPicker.vue"));
var _PrimeDropdown = _interopRequireDefault(require("./components/PrimeDropdown.vue"));
var _PrimeEditor = _interopRequireDefault(require("./components/PrimeEditor.vue"));
var _PrimeInputMask = _interopRequireDefault(require("./components/PrimeInputMask.vue"));
var _PrimeInputNumber = _interopRequireDefault(require("./components/PrimeInputNumber.vue"));
var _PrimeInputSwitch = _interopRequireDefault(require("./components/PrimeInputSwitch.vue"));
var _PrimeInputText = _interopRequireDefault(require("./components/PrimeInputText.vue"));
var _PrimeTextarea = _interopRequireDefault(require("./components/PrimeTextarea.vue"));
var _PrimeKnob = _interopRequireDefault(require("./components/PrimeKnob.vue"));
var _PrimeMultiSelect = _interopRequireDefault(require("./components/PrimeMultiSelect.vue"));
var _PrimeListbox = _interopRequireDefault(require("./components/PrimeListbox.vue"));
var _PrimePassword = _interopRequireDefault(require("./components/PrimePassword.vue"));
var _PrimeRadioButton = _interopRequireDefault(require("./components/PrimeRadioButton.vue"));
var _PrimeRating = _interopRequireDefault(require("./components/PrimeRating.vue"));
var _PrimeSlider = _interopRequireDefault(require("./components/PrimeSlider.vue"));
var _PrimeToggleButton = _interopRequireDefault(require("./components/PrimeToggleButton.vue"));
var _PrimeTreeSelect = _interopRequireDefault(require("./components/PrimeTreeSelect.vue"));
var _PrimeSelectButton = _interopRequireDefault(require("./components/PrimeSelectButton.vue"));
var _PrimeTriStateCheckbox = _interopRequireDefault(require("./components/PrimeTriStateCheckbox.vue"));
var _composables = require("./composables");
var components = _interopRequireWildcard(require("./components"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const install = {
  install(app) {
    for (const key of Object.keys(components)) app.component(key, components[key]);
  }
};
module.exports = install;
const primeAutoCompleteDefinition = exports.primeAutoCompleteDefinition = (0, _vue.createInput)(_PrimeAutoComplete.default, {
  props: ["pt", "ptOptions", "unstyled", "dropdown", "multiple"]
});
const primeInputTextDefinition = exports.primeInputTextDefinition = (0, _vue.createInput)(_PrimeInputText.default, {
  props: ["iconRight", "iconLeft", "pt", "ptOptions", "unstyled", "placeholder"]
});
const primeInputNumberDefinition = exports.primeInputNumberDefinition = (0, _vue.createInput)(_PrimeInputNumber.default, {
  props: ["useGrouping", "min", "max", "minFractionDigits", "maxFractionDigits", "locale", "mode", "currency", "prefix", "suffix", "showButtons", "buttonLayout", "step", "pt", "ptOptions", "unstyled", "placeholder"]
});
const primeInputMaskDefinition = exports.primeInputMaskDefinition = (0, _vue.createInput)(_PrimeInputMask.default, {
  props: ["mask", "slotChar", "autoClear", "unmask", "pt", "ptOptions", "unstyled", "invalid", "variant", "iconLeft", "iconRight"]
});
const primePasswordDefinition = exports.primePasswordDefinition = (0, _vue.createInput)(_PrimePassword.default, {
  props: ["mediumRegex", "strongRegex", "promptLabel", "weakLabel", "mediumLabel", "strongLabel", "hideIcon", "showIcon", "pt", "ptOptions", "unstyled", "placeholder", "feedback", "toggleMask"]
});
const primeTextareaDefinition = exports.primeTextareaDefinition = (0, _vue.createInput)(_PrimeTextarea.default, {
  props: ["pt", "ptOptions", "unstyled", "autoResize", "rows", "placeholder"]
});
const primeCheckboxDefinition = exports.primeCheckboxDefinition = (0, _vue.createInput)(_PrimeCheckbox.default, {
  props: ["binary", "trueValue", "falseValue", "pt", "ptOptions", "unstyled", "labelLeft", "labelRight"]
});
const primeInputSwitchDefinition = exports.primeInputSwitchDefinition = (0, _vue.createInput)(_PrimeInputSwitch.default, {
  props: ["trueValue", "falseValue", "pt", "ptOptions", "unstyled", "labelLeft", "labelRight"]
});
const primeEditorDefinition = exports.primeEditorDefinition = (0, _vue.createInput)(_PrimeEditor.default, {
  props: ["placeholder", "formats", "modules", "pt", "ptOptions", "unstyled"]
});
const primeDropdownDefinition = exports.primeDropdownDefinition = (0, _vue.createInput)(_PrimeDropdown.default, {
  props: ["options", "optionLabel", "optionValue", "optionDisabled", "optionGroupLabel", "optionGroupChildren", "scrollHeight", "filter", "filterPlaceholder", "filterLocale", "filterMatchMode", "filterFields", "filterInputProps", "editable", "placeholder", "dataKey", "showClear", "panelStyle", "panelClass", "panelProps", "appendTo", "resetFilterOnHide", "virtualScrollerOptions", "autoOptionFocus", "selectOnFocus", "filterMessage", "selectionMessage", "emptySelectionMessage", "emptyFilterMessage", "emptyMessage", "pt", "ptOptions", "unstyled"]
});
const primeMultiSelectDefinition = exports.primeMultiSelectDefinition = (0, _vue.createInput)(_PrimeMultiSelect.default, {
  props: ["options", "optionLabel", "optionValue", "optionDisabled", "optionGroupLabel", "optionGroupChildren", "scrollHeight", "inputProps", "closeButtonProps", "dataKey", "filter", "filterPlaceholder", "filterLocale", "filterMatchMode", "filterFields", "appendTo", "display", "maxSelectedLabels", "selectedItemsLabel", "selectionLimit", "showToggleAll", "loading", "selectAll", "resetFilterOnHide", "virtualScrollerOptions", "autoOptionFocus", "autoFilterFocus", "filterMessage", "selectionMessage", "emptySelectionMessage", "emptyFilterMessage", "emptyMessage", "pt", "placeholder", "ptOptions", "unstyled"]
});
const primeListboxDefinition = exports.primeListboxDefinition = (0, _vue.createInput)(_PrimeListbox.default, {
  props: ["pt", "ptOptions", "unstyled", "options", "optionLabel", "optionValue", "multiple", "filter", "filterIcon", "filterPlaceholder", "filterLocale", "filterMatchMode", "autoOptionFocus", "selectOnFocus"]
});
const primeCalendarDefinition = exports.primeCalendarDefinition = (0, _vue.createInput)(_PrimeCalendar.default, {
  props: ["dateFormat", "placeholder", "selectionMode", "inline", "icon", "showOtherMonths", "selectOtherMonths", "showIcon", "previousIcon", "nextIcon", "incrementIcon", "decrementIcon", "numberOfMonths", "responsiveOptions", "view", "touchUI", "minDate", "maxDate", "disabledDates", "disabledDays", "maxDateCount", "showOnFocus", "autoZIndex", "baseZIndex", "showButtonBar", "showTime", "timeOnly", "shortYearCutoff", "hourFormat", "stepHour", "stepMinute", "stepSecond", "showSeconds", "hideOnDateTimeSelect", "hideOnRangeSelection", "timeSeparator", "showWeek", "manualInput", "appendTo", "panelStyle", "panelClass", "pt", "ptOptions", "unstyled"]
});
const primeSliderDefinition = exports.primeSliderDefinition = (0, _vue.createInput)(_PrimeSlider.default, {
  props: ["pt", "ptOptions", "unstyled", "min", "max", "step", "range", "orientation"]
});
const primeRatingDefinition = exports.primeRatingDefinition = (0, _vue.createInput)(_PrimeRating.default, {
  props: ["unstyled", "stars", "cancel", "onIcon", "offIcon", "cancelIcon", "ptOptions", "pt"]
});
const primeRadioButtonDefinition = exports.primeRadioButtonDefinition = (0, _vue.createInput)(_PrimeRadioButton.default, {
  props: ["pt", "ptOptions", "unstyled", "options", "options_class"]
});
const primeChipsDefinition = exports.primeChipsDefinition = (0, _vue.createInput)(_PrimeChips.default, {
  props: ["allowDuplicate", "addOnBlur", "max", "placeholder", "seperator", "pt", "ptOptions", "unstyled"]
});
const primeKnobDefinition = exports.primeKnobDefinition = (0, _vue.createInput)(_PrimeKnob.default, {
  props: ["pt", "ptOptions", "unstyled", "min", "max", "step", "size", "strokeWidth", "showValue", "valueColor", "rangeColor", "textColor", "valueTemplate"]
});
const primeColorPickerDefinition = exports.primeColorPickerDefinition = (0, _vue.createInput)(_PrimeColorPicker.default, {
  props: ["defaultColor", "inline", "format", "pt", "ptOptions", "unstyled"]
});
const primeToggleButtonDefinition = exports.primeToggleButtonDefinition = (0, _vue.createInput)(_PrimeToggleButton.default, {
  props: ["pt", "ptOptions", "unstyled", "onLabel", "offLabel", "onIcon", "offIcon", "iconPos"]
});
const primeSelectButtonDefinition = exports.primeSelectButtonDefinition = (0, _vue.createInput)(_PrimeSelectButton.default, {
  props: ["pt", "ptOptions", "unstyled", "optionLabel", "optionValue", "optionDisabled", "multiple", "unselectable", "dataKey", "options"]
});
const primeTriStateCheckboxDefinition = exports.primeTriStateCheckboxDefinition = (0, _vue.createInput)(_PrimeTriStateCheckbox.default, {
  props: ["pt", "ptOptions", "unstyled", "variant", "labelRight", "labelLeft"]
});
const primeCascadeSelectDefinition = exports.primeCascadeSelectDefinition = (0, _vue.createInput)(_PrimeCascadeSelect.default, {
  props: ["options", "optionLabel", "optionValue", "optionGroupLabel", "optionGroupChildren", "placeholder", "pt", "ptOptions", "unstyled"]
});
const primeTreeSelectDefinition = exports.primeTreeSelectDefinition = (0, _vue.createInput)(_PrimeTreeSelect.default, {
  props: ["options", "placeholder", "selectionMode", "pt", "ptOptions", "unstyled", "emptyMessage", "display", "metaKeySelection", "appendTo", "scrollHeight", "panelClass", "variant"]
});
const primeInputs = exports.primeInputs = {
  primeAutoComplete: primeAutoCompleteDefinition,
  primeInputText: primeInputTextDefinition,
  primeInputNumber: primeInputNumberDefinition,
  primeInputMask: primeInputMaskDefinition,
  primePassword: primePasswordDefinition,
  primeCheckbox: primeCheckboxDefinition,
  primeInputSwitch: primeInputSwitchDefinition,
  primeTextarea: primeTextareaDefinition,
  primeEditor: primeEditorDefinition,
  primeDropdown: primeDropdownDefinition,
  primeMultiSelect: primeMultiSelectDefinition,
  primeCalendar: primeCalendarDefinition,
  primeSlider: primeSliderDefinition,
  primeChips: primeChipsDefinition,
  primeKnob: primeKnobDefinition,
  primeRating: primeRatingDefinition,
  primeRadioButton: primeRadioButtonDefinition,
  primeColorPicker: primeColorPickerDefinition,
  primeToggleButton: primeToggleButtonDefinition,
  primeListbox: primeListboxDefinition,
  primeSelectButton: primeSelectButtonDefinition,
  primeTriStateCheckbox: primeTriStateCheckboxDefinition,
  primeCascadeSelect: primeCascadeSelectDefinition,
  primeTreeSelect: primeTreeSelectDefinition
};